PathUtils (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.common

## Class PathUtils

- java.lang.Object
- - org.apache.zookeeper.common.PathUtils

-     public class PathUtils
      extends Object

  Path related utilities

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `normalizeFileSystemPath(String path)` Convert Windows path to Unix
    `static void` | `validatePath(String path)` Validate the provided znode path string
    `static void` | `validatePath(String path, boolean isSequential)` validate the provided znode path string

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PathUtils

          public PathUtils()

  - ### Method Detail

    - #### validatePath

          public static void validatePath(String path,
                                          boolean isSequential)
                                   throws IllegalArgumentException

      validate the provided znode path string
      Parameters:
        `path` - znode path string
        `isSequential` - if the path is being created with a sequential flag
      Throws:
        `IllegalArgumentException` - if the path is invalid

    - #### validatePath

          public static void validatePath(String path)
                                   throws IllegalArgumentException

      Validate the provided znode path string
      Parameters:
        `path` - znode path string
      Throws:
        `IllegalArgumentException` - if the path is invalid

    - #### normalizeFileSystemPath

          public static String normalizeFileSystemPath(String path)

      Convert Windows path to Unix
      Parameters:
        `path` - file path
      Returns:
        converted file path

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.